SET NOCOUNT ON
IF NOT EXISTS(
	SELECT 
		ID 
	FROM 
		SYSOBJECTS 
	WHERE 
		NAME = 'PRC_FILIAL_RC_CLI_ROTA' AND XTYPE = 'U')
BEGIN
	SET NOCOUNT OFF
	RAISERROR('A TABELA NA QUAL O CAMPO SERÁ ADICIONADO NÃO FOI ENCONTRADA NO BANCO DE DADOS.',16,1)
END

ELSE
BEGIN
	IF NOT EXISTS (
		SELECT
			* 
		FROM 
			SYSCOLUMNS 
		WHERE 
			NAME = 'HORA_INI'
			AND ID IN (
				SELECT 
					ID 
				FROM 
					SYSOBJECTS 
				WHERE 
					NAME = 'PRC_FILIAL_RC_CLI_ROTA' AND XTYPE = 'U'))

		BEGIN
			ALTER TABLE DBO.PRC_FILIAL_RC_CLI_ROTA ADD HORA_INI TIME NOT NULL DEFAULT '00:00:00'

		END
	SET NOCOUNT OFF
	PRINT 'CAMPO HORA_INI NA TABELA PRC_FILIAL_RC_CLI_ROTA INSERIDO COM SUCESSO '
END